Intel® FPGA Software Installation & Licensing
Installation and Licensing that’s includes Intel Quartus® Prime software, ModelSim* - Intel FPGA Edition software, Nios® II Embedded Design Suite on Windows or Linux operating systems.
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
856 Discussions

install oneAPI on RHEL OS with D5050 card

beiwang2003
Beginner
564 Views

We have a D5050 card with Springdale Linux 7.9, a custom red-hat based distribution. We then follow the instruction here to install the required packages for oneAPI. However, we had the following error message in compiling oneAPI sample code. Can you please advise? These are what we did.  

1. downloaded the oneAPI sample code 2021.3.0 here at: https://github.com/oneapi-src/oneAPI-samples/releases/tag/2021.3.0

2. "source /opt/intel/oneapi/setvars.sh”
3. "mkdir build” under ../oneAPI-samples-2021.3.0/DirectProgramming/DPC++/NBodyMethods/Nbody directory 
4. “cd build"
5. "cmake ../.  -DFPGA_BOARD=intel_s10sx_pac:pac_s10 -DCMAKE_CXX_FLAGS=--gcc-toolchain=/usr/local”
 
-- The C compiler identification is GNU 4.8.5
-- The CXX compiler identification is Clang 13.0.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /opt/intel/oneapi/compiler/2021.3.0/linux/bin/dpcpp
-- Check for working CXX compiler: /opt/intel/oneapi/compiler/2021.3.0/linux/bin/dpcpp -- broken
CMake Error at /usr/local/share/cmake-3.4/Modules/CMakeTestCXXCompiler.cmake:54 (message):
  The C++ compiler "/opt/intel/oneapi/compiler/2021.3.0/linux/bin/dpcpp" is
  not able to compile a simple test program.
 
  It fails with the following output:
 
   Change Dir: /home/beiwang/oneAPI-samples-2021.3.0/DirectProgramming/DPC++/N-BodyMethods/Nbody/build/CMakeFiles/CMakeTmp
 
  Run Build Command:"/usr/bin/gmake" "cmTC_78e3a/fast"
 
  /usr/bin/gmake -f CMakeFiles/cmTC_78e3a.dir/build.make
  CMakeFiles/cmTC_78e3a.dir/build
 
  gmake[1]: Entering directory
  `/home/beiwang/oneAPI-samples-2021.3.0/DirectProgramming/DPC++/N-BodyMethods/Nbody/build/CMakeFiles/CMakeTmp'
 
 
  Building CXX object CMakeFiles/cmTC_78e3a.dir/testCXXCompiler.cxx.o
 
  /opt/intel/oneapi/compiler/2021.3.0/linux/bin/dpcpp
  --gcc-toolchain=/usr/local  -o
  CMakeFiles/cmTC_78e3a.dir/testCXXCompiler.cxx.o -c
  /home/beiwang/oneAPI-samples-2021.3.0/DirectProgramming/DPC++/N-BodyMethods/Nbody/build/CMakeFiles/CMakeTmp/testCXXCompiler.cxx
 
  Linking CXX executable cmTC_78e3a
 
  /usr/local/bin/cmake -E cmake_link_script
  CMakeFiles/cmTC_78e3a.dir/link.txt --verbose=1
 
  /opt/intel/oneapi/compiler/2021.3.0/linux/bin/dpcpp
  --gcc-toolchain=/usr/local 
  CMakeFiles/cmTC_78e3a.dir/testCXXCompiler.cxx.o -o cmTC_78e3a -rdynamic
 
  /usr/bin/ld: cannot find crtbegin.o: No such file or directory
 
  /usr/bin/ld: cannot find -lgcc
 
  dpcpp: error: linker command failed with exit code 1 (use -v to see
  invocation)
 
  gmake[1]: *** [cmTC_78e3a] Error 1
 
  gmake[1]: Leaving directory
  `/home/beiwang/oneAPI-samples-2021.3.0/DirectProgramming/DPC++/N-BodyMethods/Nbody/build/CMakeFiles/CMakeTmp'
 
  gmake: *** [cmTC_78e3a/fast] Error 2
 
  CMake will not be able to correctly generate this project.
Call Stack (most recent call first):
  CMakeLists.txt:15 (project)
 
-- Configuring incomplete, errors occurred!
See also "/home/beiwang/oneAPI-samples-2021.3.0/DirectProgramming/DPC++/N-BodyMethods/Nbody/build/CMakeFiles/CMakeOutput.log".
See also "/home/beiwang/oneAPI-samples-2021.3.0/DirectProgramming/DPC++/N-BodyMethods/Nbody/build/CMakeFiles/CMakeError.log”.

 

Thanks

Bei

 

0 Kudos
8 Replies
BoonBengT_Intel
Moderator
532 Views

Hi @beiwang2003,

 

Thank you for posting in Intel community forum and hope all is well.
The error mention seems to be mentioning missing gcc/cmake. Would suggest to run a --version to check on the gcc/cmake installation in your environment.
Is there also possible that there are multiple version of cmake installed?
Hence would also suggest to reinstalled the cmake.

 

As I was looking into the springdale 7.9 OS, it seems that it comes with gcc 4.8.5, perhaps that might be the culprits, would suggest to look into updating that too.
Please do let us know if that helps.

 

Best Wishes
BB

beiwang2003
Beginner
520 Views

Hi, BoonBengT_Intel,

Thanks for the suggestion. Here is the version numbers for gcc and cmake.

$ gcc --version

gcc (GCC) 7.4.0

Copyright (C) 2017 Free Software Foundation, Inc.

This is free software; see the source for copying conditions.  There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

 

$ cc --version

cc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-44)

Copyright (C) 2015 Free Software Foundation, Inc.

This is free software; see the source for copying conditions.  There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

 

$ cmake --version

cmake version 3.4.0

CMake suite maintained and supported by Kitware (kitware.com/cmake).

 

The compiling process seems pick up the cc compiler which points to GNU 4.8.5 instead of gcc compiler which points to GNU 7.4.0. 

Thanks

Bei

BoonBengT_Intel
Moderator
511 Views

Hi @beiwang2003,

 

Would suggest to specify/change the location of the base toolchain by using the -gcc-toolchain to see if that works.
More details of the syntax can be found here.

 

Best Wishes
BB

BoonBengT_Intel
Moderator
475 Views

Hi @beiwang2003,

 

Just following up on the issues, by any chances did you managed to look into the previous suggestion to see if it helps?
Hope to hear from you soon.

 

Best Wishes

BB

beiwang2003
Beginner
447 Views

Hi, BB,

Yes, -gcc-toolchain was specified in the compiling process, but it didn't seem to work. We figured out that oneAPI add-on was not properly installed. We are now working on a fresh installation and will keep you posted for the result.

Thanks for the follow up.

Bei

BoonBengT_Intel
Moderator
419 Views

Hi @beiwang2003,

 

Good to know you have some lead on this.
By any chances did you managed to try reinstalling the add-on?
Please do let us know if issues persist.

 

Best Wishes
BB

BoonBengT_Intel
Moderator
383 Views

Hi @beiwang2003,

 

Good day, just checking in to see if there is any further doubts in regards to this matter.
Hope we have clarify your doubts.

 

Best Wishes
BB

BoonBengT_Intel
Moderator
351 Views

Hi @beiwang2003,

 

Greetings, as we do not receive any further clarification on what is provided. Hence thread will now be transitioned to community support and we will no longer monitor this thread. For new queries, please feel free to open a new thread and we will be right with you. Pleasure having you here.

 

Best Wishes
BB

Reply